#COMPILE EXE "SpinTest.exe"

'DECLARE FUNCTION zSpinnerInit LIB "zSpin.dll" ALIAS "zSpinnerInit" (BYVAL hParent AS DWORD, zTmp AS ASCIIZ, BYVAL nSpeedDelay AS LONG) AS DWORD
'DECLARE      SUB zSpinnerClose LIB "zSpin.dll" ALIAS "zSpinnerClose" ()
'#LINK "zSpin.sll"
#LINK "zSpinPB10.sll"

FUNCTION PBMAIN
    LOCAL hParent AS DWORD
    LOCAL nSpeedDelay AS LONG
    LOCAL SpinFolder, sCaption AS STRING

    hParent = 0
    sCaption = "Spinner"
    SpinFolder = EXE.PATH$ '// + "SpinFolder\"

    CALL zSpinnerInit(hParent, SpinFolder + "Tubular.ski", 0)
    MSGBOX "Tubular", , sCaption

    CALL zSpinnerInit(hParent, SpinFolder + "gridblob.ski", 0)
    MSGBOX "GridBlob", , sCaption

    CALL zSpinnerInit(hParent, SpinFolder + "hypothalamus.ski", 0)
    MSGBOX "Hypothalamus", , sCaption

    CALL zSpinnerInit(hParent, SpinFolder + "hands.ski", 0)
    MSGBOX "Hands", , sCaption

    CALL zSpinnerInit(hParent, SpinFolder + "feet.ski", 0)
    MSGBOX "Feet", , sCaption

    CALL zSpinnerClose()

END FUNCTION